SOSPC

Linux doit (aussi) être mis à jour, par Didier

Linux doit ( aussi ) être mis à jour, par Didier.

Christophe m’a fait part de cet article mettant en garde les utilisateurs Linux sur l’obligation d’effectuer les mises à jour de leur système afin d’installer les correctifs pour les vulnérabilités visant le noyau Linux.

Les utilisateurs sont donc invités à mettre à jour leur distribution.

L’article fait référence à Ubuntu, mais il faut savoir que LinuxMint est basé sur le même noyau et est donc potentiellement impacté.

A sa demande, j’ai donc rédigé ce petit article ''piqûre de rappel''.

Sous Linux, il est recommandé d’effectuer les mises à jour régulièrement, elles sont effectuées facilement, et de manière générale à chaque modification logicielle ou matérielle.

Linux doit aussi être mis à jour, par Didier.

Mettre à jour son Système.

 

-> Extrait de l'article par sur Sospc : https://sospc.name/linux-fiche-memo-aider-debutants/

  • Manuellement par le terminal.

sudo apt-get update

Va mettre à jour les dépôts de la distribution (donc, le « catalogue » du système et des logiciels.

En l’état, rien ne va être modifié, mais la commande suivante va permettre de mettre à jour l’ensemble du système: un peu comme les mises à jour « de sécurité » de Windows Update 

sudo apt-get upgrade

Ici, cela mettra à jour l’ensemble du système et des logiciels. Et j’insiste bien sur l’ensemble: sur Mint, par exemple, le gestionnaire de mises à jour ne sélectionnera pas une mise à jour de kernel si vous avez opté pour des mises à jours « sûres » (qui ne sont pas susceptibles de faire planter le système). En passant par la commande ci-dessus, tout sera mis à jour, sans distinction. Dans la pratique, je n’ai personnellement jamais eu de problème, mais gardez à l’esprit que cela peut arriver. L’utilisation du gestionnaire de mise à jour de façon graphique reste, la plupart du temps, plus simple pour y voir clair.

un peu comme les mise à niveau de Windows 10 qui se passe tous les 6 mois 

  • Avec le Gestionnaire de mises à jour, accessible par le menu Administration.

Linux doit aussi être mis à jour

capture d’écran effectuée sur LinuxMint 19.1 Cinammon

Voilà pour ce rappel.

Mais pas de panique, ce genre d’attaque se lance plutôt sur des serveurs Linux. ;-)

Maintenant, ça pourrait être une stratégie pour dissuader les utilisateurs déçus par Windows 10 de passer sous Linux !

Didier.

avatar didier Contributeur SOSPC

Les autres articles de Didier :  

 

autres articles

SOSPC c'est plus de 2000 articles, Rejoignez la Communauté à partir de 2 € par mois !

Plus d'infos sur les avantages en cliquant ICI.

Christophe, Administrateur

S’abonner à cette discussion
Notifier de
15 Commentaires
le plus récent
le plus ancien le plus populaire
Inline Feedbacks
View all comments
Idab

Bonjour, J'ai lu avec intérêt l'article. Personnellement je fais mes mises à jour en utilisant l'icône "update". Après ma dernière màj, il me signalait toujours qu'il y avait une màj à faire. En principe je laisse les 4 et 5, n'étant pas - et loin s'en faut - une pro . J'ai donc suivi la procédure décrire avec le terminal. Il ne me reste qu'un 4 à faire. Mais j'ai eu un souci avec pour réponse no support for locate fr_FR.utf8 sur plusieurs lignes. De plus, je pensais que cela me mettrait à jour LibO. Que nenni, je suis en 5 toujours… Lire la suite »

didier

Bonjour

Si j'ai bien compris tu as un pb de mise à jour LibreOffice.…..

non seulement "update" est efficace, mais il est nécessaire d'upgrader" ta distribution, et normalement mettra à jour LibO

bonne fin d'année !

Idab

Bonjour et merci pour la réponse.
Non, cela n'a pas mis à jour LiibO comme je l'esperais.
En faisant les sudo… pourquoi ai-je eu ce signal no support for locale fr_FR.urf8.?
Merci.

didier

Bonjour

a priori, c'est le paquetage français qui bloque.….….….

essaie ce tuto : https://sospc.name/linux-installer-langue-francaise-libreoffice-didier/
ah oui, quelle distribution utilise tu ? 

cdlt

Idab

Bonjour Didier,
excuse le temps de réaction. Pas trop le temps en ce moment.
Meilleurs vœux avant que je n'oublies !
J'ai tenté la manip proposée, mais le bouton "Appliquer" est inactif.
Les commentaires à l'intérieur sont en anglais !
Je pense que c'est le pack français qui est mal installé de façon générale (!). Lors de l'installation première ? Peut-être car j'ai des drôle de réponses avec Firefox qui me donne des réponses en anglais !

Je suis sur Mint Serena, je crois la dernière version.

didier
Idab

Bonjour Didier,
excuse le temps de réaction. Pas trop le temps en ce moment.
Meilleurs vœux avant que je n'oublies !
J'ai tenté la manip proposée, mais le bouton "Appliquer" est inactif.
Les commentaires à l'intérieur sont en anglais !
Je pense que c'est le pack français qui est mal installé de façon générale (!). Lors de l'installation première ? Peut-être car j'ai des drôle de réponses avec Firefox qui me donne des réponses en anglais !

Je suis sur Mint Serena, je crois la dernière version.

Manip faite !

didier

Bonsoir Idab et bonne année !

essaie d'éditer sur un terminal par
sudo nano /etc/default/locale en « fr_FR »

sudo dpkg-reconfigure locales

si ton problème n'est pas résolu, je t'invite à poster ce cas sur le forums Sospc, rubrique Linux, 

cdlt

didier

Linux Mint Serenna 18.1 date de Décembre 2016 !! :wacko:
, ceci explique sans doute cela : donc il serait bienvenu d'installer la toute dernière version 19.1 Tessa :yes:

https://linuxmint.com/

didier

et si tu sais éditer : ceci 

nano /etc/default/locale en « fr_FR »

sudo dpkg-reconfigure locales

cdlt

serge91

Rebonjour
Trop fort Didier DieuD
j'ai suivi la piste indiqué ci-dessus et la Manjaro à fait comme je lui disais à incorporé la mise à jour après suppression d'emgrapa!
j'aurais bien chercher moi mème sur un forum, mais quand on ne sait pas vraiment ce que l'on cherche?
emgrapa?…
thunar archive plugin?…
what is it, ces trucs là!
Merci BluesB

didier

OK Serge

selon moi : Engrampa est un gestionnaire d'archives pour l'environnement MATE.
alors que Thunar est le gestionnaire de fichiers d'XFCE.
c'est peut être la l'origine du conflit de fichiers

:bye:

didier

Bonjour

Il arrive parfois que ça ne se passe pas comme on le souhaite.!

Manjaro est basé sur ArchLinux : les commandes sont sudo pacman -Syy pour updater, et sudo pacman -Syu pour upgrader

ton problème avec thunar-archive-plugin m'échappe, je ne vois pas ou ça coince.….d'autant que Arch est plus délicat que Ubuntu ou Mint !

pour moi, c'est un problème de paquets manquants, donc bien utiliser les commandes pacman.

bonne fin d'année :bye:

serge91

Bonjour Didier et bonjour à tous Pas facile de mettre à jour tout ça! Sur tes bons conseils j'avais installé Manjaro KDE plasma sur une machine, il m'est proposé fréquemment des mises à jour, et à chaque fois j'ai un problème avec thunar-archive-plugin, qui m'indique "thunar-archive-plugin : /usr/lib/xfce4/thunar-archive-plugin/engrampa.tap est déjà présent dans le s" et la mise à jour ne se fait pas! suis obligé de le décocher pour faire le reste de la mise à jour! Tout cela pour dire quel en est la raison? pas facile à comprendre? autre souci bien souvent pour lire une vidéo en ligne, il est fréquent que… Lire la suite »

didier

Re bonjour Serge91

voila une piste

vu sur le web https://www.manjaro.fr/forum/viewtopic.php?t=10260

a priori Résolu par sudo pacman -R thunar-archive-plugin . Ce plugin est devenu en conflit avec engrampa qui est installé par défaut.

cdlt

CyberGhost VPN : le test complet, par config@33, cliquez ici

[Urgent] Changez les mots de passe de votre compte Ameli et aussi de vos Mutuelles, cliquez ICI

Replay Live #34, nous avons répondu à vos questions, cliquez ICI

[Vidéo] La fin du réseau cuivre et de l'ADSL approche : quand est-ce que la Fibre sera dispo chez vous ?, cliquez ICI.

Mon PC peut-il migrer vers Windows 11 ? cliquez ICI

[Vidéo] Quels sont les 2 meilleurs Antivirus en 2024 ? Cliquez ICI pour le savoir.

Réparer Windows 10 sans perdre vos données, cliquez ICI

15
0
Seuls les abonnés peuvent déposer un commentaire.x